<?php
/**
 * SMF 2.0.X Branch Patch Tool - Enabling PHP 7.2+ compatability - modification c/o web-develop.ca
 *
 * @package SMF2.0.X-enablePHP7.2Compat
 * @version 1.6
 * @Copyright 2020 ~ Chen Zhen @ web-develop.ca
 * @Distributed under the GNU Lesser General Public License -> https://www.gnu.org/licenses/lgpl.html
 */
defined('SMF') OR exit('<b>Error:</b> SMF not defined');

function PHP7_CompatCore(&$core_features)
{
	$core_features['phpcompat'] = array(
		'url' => 'action=admin',
		'settings' => array(
			'phpcompat_enabled' => 1,
		),
	);
}

function PHP7_CompatLanguage()
{
	global $txt;
	
	loadLanguage('PHP7_Compat');
}
?>