<?php
/**
 * SMF 2.0.X Branch Patch Tool - Enabling PHP 7.2+ compatability - modification c/o web-develop.ca
 *
 * @package SMF2.0.X-enablePHP7.2Compat
 * @version 1.6
 * @Copyright 2020 ~ Chen Zhen @ web-develop.ca
 * @Distributed under the GNU Lesser General Public License -> https://www.gnu.org/licenses/lgpl.html
 */

global $modSettings;

if (!isset($modSettings['phpcompat_enabled']))
	updateSettings(array('phpcompat_enabled' => '1'));

add_integration_function('integrate_pre_include', '$sourcedir/PHP7_Compat.php');
add_integration_function('integrate_core_features', 'PHP7_CompatCore');
add_integration_function('integrate_pre_load', 'PHP7_CompatLanguage');

?>